package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 活动 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-25
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvActivityDao;
import com.heyu.api.data.entity.vv.VvActivityEntity;
import com.heyu.api.data.service.vv.VvActivityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvActivityServiceImpl extends ServiceImpl<VvActivityDao, VvActivityEntity> implements VvActivityService {


    @Autowired
	private VvActivityDao vvActivityDao;



	@Override
	public VvActivityEntity selectVvActivityById(Long id){
		return vvActivityDao.selectVvActivityById(id);
	}



	@Override
	public Long insertVvActivity(VvActivityEntity vvActivity){
		return vvActivityDao.insertVvActivity(vvActivity);
	}



	@Override
	public Long insertOrUpdateVvActivity(VvActivityEntity vvActivity){
		return vvActivityDao.insertOrUpdateVvActivity(vvActivity);
	}



	@Override
	public int updateVvActivityById(VvActivityEntity vvActivity){
		return vvActivityDao.updateVvActivityById(vvActivity);
	}



	@Override
	public int updateCoverVvActivityById(VvActivityEntity vvActivity){
		return vvActivityDao.updateCoverVvActivityById(vvActivity);
	}



	@Override
	public int deleteVvActivityById(Long id){
		return vvActivityDao.deleteVvActivityById(id);
	}



}
